Skip to main content
GET
/
somnia
/
v1
/
events
Get transaction logs
curl --request GET \
  --url https://data-api.cloud.ormi.dev/somnia/v1/events
{
  "logs": [
    {
      "address": "<string>",
      "block_number": 123,
      "block_timestamp": "2023-11-07T05:31:56Z",
      "data": "<string>",
      "log_index": 123,
      "topics": [
        "<string>"
      ],
      "transaction_hash": "<string>",
      "transaction_index": 123,
      "decoded": {}
    }
  ],
  "cursor": "<string>"
}

Query Parameters

starting-block
integer<int64>

The block height to start from, inclusive. Defaults to genesis block.

ending-block
integer<int64>

The block height to end at, inclusive. Defaults to latest block height.

address
string

The address to filter logs by.

topics
string[]

A comma separated list of topics to filter logs by.

cursor
string

The cursor returned in previous response (for getting the next page).

limit
integer | null
default:100

Number of records to fetch

Required range: 1 <= x <= 100

Response

200 - application/json

OK

logs
object[]
required
cursor
string | null